%define fw_version 5.41

Summary:	KDE Frameworks 5 porting aid from KDELibs4 module
Name:		kdelibs4support
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
Patch0:		kdelibs4support-5.6.0-docbook-dtd45.patch
Patch1:		kdelibs4support-5.38.0-ru.patch
BuildRequires:	docbook-dtd45-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-designer
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5completion-devel >= %{version}
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5configwidgets-devel >= %{version}
BuildRequires:	kf5crash-devel >= %{version}
BuildRequires:	kf5designerplugin-devel >= %{version}
BuildRequires:	kf5doctools-devel >= %{version}
BuildRequires:	kf5emoticons-devel >= %{version}
BuildRequires:	kf5globalaccel-devel >= %{version}
BuildRequires:	kf5guiaddons-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5iconthemes-devel >= %{version}
BuildRequires:	kf5kded-devel >= %{version}
BuildRequires:	kf5kio-devel >= %{version}
BuildRequires:	kf5notifications-devel >= %{version}
BuildRequires:	kf5parts-devel >= %{version}
BuildRequires:	kf5service-devel >= %{version}
BuildRequires:	kf5textwidgets-devel >= %{version}
BuildRequires:	kf5unitconversion-devel >= %{version}
BuildRequires:	kf5widgetsaddons-devel >= %{version}
BuildRequires:	kf5windowsystem-devel >= %{version}
BuildRequires:	kf5xmlgui-devel >= %{version}
BuildRequires:	pkgconfig(libnm-util)
BuildRequires:	pkgconfig(NetworkManager)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Designer)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(x11)
Requires:	docbook-dtd45-xml
Requires:	docbook-style-xsl

%description
KDE Frameworks 5 porting aid from KDELibs4 module.

This framework provides code and utilities to ease the transition from
kdelibs 4 to KDE Frameworks 5. This includes CMake macros and C++
classes whose functionality has been replaced by code in CMake, Qt and
other frameworks.

%files
%{_kde5_bindir}/kdebugdialog5
%{_kde5_bindir}/kf5-config
%{_kde5_datadir}/kf5/kdoctools/customization/*
%{_kde5_datadir}/kf5/kssl/ca-bundle.crt
%{_kde5_datadir}/kf5/locale/*
%{_kde5_datadir}/kf5/widgets/*
# Likely requires config in /etc, TODO
%{_kde5_libexecdir}/kf5/fileshareset
%{_kde5_mandir}/man1/kf5-config.1*
%{_kde5_plugindir}/kded/networkstatus.so
%{_kde5_plugindir}/kio/metainfo.so
%{_kde5_services}/kcm_ssl.desktop
%{_kde5_services}/metainfo.protocol
%{_kde5_services}/qimageioplugins/*.desktop
%{_kde5_servicetypes}/*.desktop
%{_kde5_sysconfdir}/xdg/colors/*
%{_kde5_sysconfdir}/xdg/kdebug.areas
%{_kde5_sysconfdir}/xdg/kdebugrc
%{_kde5_sysconfdir}/xdg/ksslcalist
%{_localedir}/kf5_all_languages
%{_qt5_plugindir}/kcm_ssl.so

#----------------------------------------------------------------------------

%package -n qt5-designer-plugin-%{name}
Summary:	Qt5 Designer plugin for KDELibs4Support
Group:		Development/KDE and Qt

%description -n qt5-designer-plugin-%{name}
Qt5 Designer plugin for KDELibs4Support.

%files -n qt5-designer-plugin-%{name}
%{_qt5_plugindir}/designer/kf5deprecatedwidgets.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KDELibs4Support translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDELibs4Support translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5kdelibs4support_major 5
%define libkf5kdelibs4support %mklibname kf5kdelibs4support %{kf5kdelibs4support_major}

%package -n %{libkf5kdelibs4support}
Summary:	KDE Frameworks 5 porting aid from KDELibs4 shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5kdelibs4support}
KDE Frameworks 5 porting aid from KDELibs4 shared library.

%files -n %{libkf5kdelibs4support}
%{_kde5_libdir}/libKF5KDELibs4Support.so.%{kf5kdelibs4support_major}*

#----------------------------------------------------------------------------

%define devkf5kdelibs4support %mklibname kf5kdelibs4support -d

%package -n %{devkf5kdelibs4support}
Summary:	Development files for KDE Frameworks 5 porting aid from KDELibs4 module
Group:		Development/KDE and Qt
Requires:	%{libkf5kdelibs4support} = %{EVRD}
Requires:	kf5designerplugin-devel >= %{version}
Requires:	kf5doctools-devel >= %{version}
Requires:	kf5emoticons-devel >= %{version}
Requires:	kf5globalaccel-devel >= %{version}
Requires:	kf5guiaddons-devel >= %{version}
Requires:	kf5i18n-devel >= %{version}
Requires:	kf5init-devel >= %{version}
Requires:	kf5itemmodels-devel >= %{version}
Requires:	kf5itemviews-devel >= %{version}
Requires:	kf5jobwidgets-devel >= %{version}
Requires:	kf5kcmutils-devel >= %{version}
Requires:	kf5kio-devel >= %{version}
Requires:	kf5notifications-devel >= %{version}
Requires:	kf5parts-devel >= %{version}
Requires:	kf5pty-devel >= %{version}
Requires:	kf5service-devel >= %{version}
Requires:	kf5solid-devel >= %{version}
Requires:	kf5sonnet-devel >= %{version}
Requires:	kf5su-devel >= %{version}
Requires:	kf5textwidgets-devel >= %{version}
Requires:	kf5unitconversion-devel >= %{version}
Requires:	kf5widgetsaddons-devel >= %{version}
Requires:	kf5windowsystem-devel >= %{version}
Requires:	qt5-designer-plugin-%{name}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5kdelibs4support-devel = %{version}

%description -n %{devkf5kdelibs4support}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5kdelibs4support}
%{_kde5_includedir}/KF5/KDELibs4Support
%{_kde5_includedir}/KF5/kdelibs4support_version.h
%{_kde5_libdir}/cmake/KDELibs4
%{_kde5_libdir}/cmake/KF5KDE4Support
%{_kde5_libdir}/cmake/KF5KDELibs4Support
%{_kde5_libdir}/libKF5KDELibs4Support.so
%{_datadir}/dbus-1/interfaces/kf5_org.*.xml

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-html --with-kde --with-man

%changelog

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (a925110) New version 5.41.0

* Sun Nov 12 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-2
- (e2c3dff) Add more Russian translations for timezones

* Mon Sep 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (9290a58) Build requires kf5emoticons-devel
- (Andrey Bondrov: c5d06df) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (334ccf4) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (4319495) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (72c4fa3) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (45b3f62) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (84524f7) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (9d2e193) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (c91f8d5) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (d99f7b6) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (eabc226) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (b38f7a9) MassBuild#1025: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (8751651) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (0b7daac) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (07dcadc) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (f876fdc) New version 5.19.0

* Tue Jan 12 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (7c2e1fb) Build requires kf5kded-devel
- (Andrey Bondrov: 1378993) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (18cd04a) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (1043866) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (624873b) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (b4125d6) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (a1bce9a) Update files
- (Andrey Bondrov: 2dc0b40) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (375e780) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (f36274c) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (e998b3a) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (c9b73d5) New version 5.10.0


